Fórum Debian
disclaimer - postfix - Versão para Impressão

+- Fórum Debian (http://www.forumdebian.com.br)
+-- Fórum: Debian (/forum-4.html)
+--- Fórum: Redes (/forum-17.html)
+--- Tópico: disclaimer - postfix (/thread-174.html)



disclaimer - postfix - mac - 04/04/2011 10:53

Bom dia Pessoal!


Tenho uma duvida...
Meu postfix esta funcionando, mandando mensagens corretamente.
Mas tenho a necessidade de adicionar disclaimer nas mensagens.

Meu arquivo "/etc/postfix/disclaimer" contem a seguinte informação:

#!/bin/sh
# Localize these.
INSPECT_DIR=/var/spool/signmail SENDMAIL=/usr/sbin/sendmail

# Exit codes from
EX_TEMPFAIL=75
EX_UNAVAILABLE=69

# Clean up when done or when aborting.
trap "rm -f in.$$" 0 1 2 3 15

# Start processing.
cd $INSPECT_DIR || { echo $INSPECT_DIR does not exist; exit
$EX_TEMPFAIL; }

cat >in.$$ || { echo Cannot save mail to file; exit $EX_TEMPFAIL; }
/usr/bin/altermime --input=in.$$ \
--disclaimer=/etc/postfix/disclaimer.txt \
--disclaimer-html=/etc/postfix/disclaimer.txt \
--xheader="X-Copyrighted-Material: Please visit http://www.company.com/privacy.htm" || \
{ echo Message content rejected; exit $EX_UNAVAILABLE; }

$SENDMAIL "$@"

exit $?

################################################################################​####3

E meu master.cf adicionei as seguinte linhas:

smtp inet n - y - - smtpd
-o content_filter=dfilt:
dfilt unix - n n - - pipe
flags=Rq user=signmail argv=/etc/postfix/disclaimer -f ${sender} -- ${recipient}

##########################################################################3


Porem o mesmo não está aparecendo...
Alguem pode me ajudar com isso?

Grato


Re: disclaimer - postfix - spikey - 06/04/2011 00:14

Olá,

Acredito que faltam mais alguns detalhes, não tenho no momento um Postfix instalado com essa característica para testar, mas veja em: http://www.debianadmin.com/how-to-add-a ... stfix.html.


Re: disclaimer - postfix - mac - 06/04/2011 09:55

Obrigado pela atenção.
Fiz algumas alterações e funcionou.
Só que estou fazendo em uma maquina de teste e a de produção tem clamav. Será que existe a possibilidade do parametro content_filter do arquivo master.cf com referencia ao altermime prejudicar meu clamav?


Re: disclaimer - postfix - spikey - 07/04/2011 08:30

Acredito que não teria problemas por ser saída, mas sempre recomendável ter um backup de /etc/postfix.